Manager/Controllers/Edu_RecController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using DataLayer;
using DomainClass;
using Manager.Helpers;

namespace Manager.Controllers
{
    [CustomAuthorize(Roles = "User")]
    public partial class Edu_RecController : Controller
    {
        private DataBaseContext db = new DataBaseContext();

        // GET: Edu_Rec
        public virtual ActionResult Index()
        {
            var ID = Convert.ToInt64(db.Users.FirstOrDefault(u => u.UserName == User.Identity.Name).ID);
            var edu_Recs = db.Edu_Recs.Include(e => e.User).Where(e => e.UserID == ID);
            return View(edu_Recs.ToList());
        }

        // GET: Edu_Rec/Details/5
        public virtual ActionResult Details(long? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Edu_Rec edu_Rec = db.Edu_Recs.Find(id);
            if (edu_Rec == null)
            {
                return HttpNotFound();
            }
            return View(edu_Rec);
        }

        // GET: Edu_Rec/Create
        public virtual ActionResult Create()
        {
            //ViewBag.UserID = new SelectList(db.Users, "ID", "Lname");
            return View();
        }

        // POST: Edu_Rec/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public virtual ActionResult Create([Bind(Include = "ID,Maghta,Reshte,Date_Akhz,MahalAkhz,OnvanDaneshgah,Keshvar,Ostan,Shahrestan,Shahr,UserID")] Edu_Rec edu_Rec)
        {
            if (ModelState.IsValid)
            {
                var ID = Convert.ToInt64(db.Users.FirstOrDefault(u => u.UserName == User.Identity.Name).ID);
                edu_Rec.UserID = ID;
                db.Edu_Recs.Add(edu_Rec);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            //ViewBag.UserID = new SelectList(db.Users, "ID", "Lname", edu_Rec.UserID);
            return View(edu_Rec);
        }

        // GET: Edu_Rec/Edit/5
        public virtual ActionResult Edit(long? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Edu_Rec edu_Rec = db.Edu_Recs.Find(id);
            if (edu_Rec == null)
            {
                return HttpNotFound();
            }
            //ViewBag.UserID = new SelectList(db.Users, "ID", "Lname", edu_Rec.UserID);
            return View(edu_Rec);
        }

        // POST: Edu_Rec/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public virtual ActionResult Edit([Bind(Include = "ID,Maghta,Reshte,Date_Akhz,MahalAkhz,OnvanDaneshgah,Keshvar,Ostan,Shahrestan,Shahr,UserID")] Edu_Rec edu_Rec)
        {
            if (ModelState.IsValid)
            {
                var ID = Convert.ToInt64(db.Users.FirstOrDefault(u => u.UserName == User.Identity.Name).ID);
                edu_Rec.UserID = ID;
                db.Entry(edu_Rec).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            //ViewBag.UserID = new SelectList(db.Users, "ID", "Lname", edu_Rec.UserID);
            return View(edu_Rec);
        }

        // GET: Edu_Rec/Delete/5
        public virtual ActionResult Delete(long? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Edu_Rec edu_Rec = db.Edu_Recs.Find(id);
            if (edu_Rec == null)
            {
                return HttpNotFound();
            }
            return View(edu_Rec);
        }

        // POST: Edu_Rec/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public virtual ActionResult DeleteConfirmed(long id)
        {
            Edu_Rec edu_Rec = db.Edu_Recs.Find(id);
            db.Edu_Recs.Remove(edu_Rec);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

Manager/Views/Edu_Rec/Create.cshtml
@model DomainClass.Edu_Rec

@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}

<h4>سوابق تحصیلی ذکر تمامی مقاطع تحصیلی اخذ شده به ترتیب از بالاترین درجه تحصیلی تا سطح دیپلم ضروری است </h4>
<h4>ثبت اطلاعات</h4>
<hr />

@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    
<div class="form-horizontal">
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })

    <div class="form-group">
        @Html.LabelFor(model => model.Maghta, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EnumDropDownListFor(model => model.Maghta, "لطفاً یک مورد را انتخاب کنید", htmlAttributes: new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.Maghta, "", new { @class = "text-danger" })
        </div>
    </div>


    <div class="form-group">
        @Html.LabelFor(model => model.Reshte, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-5">
            @Html.EditorFor(model => model.Reshte, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Reshte, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Date_Akhz, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.Date_Akhz, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Date_Akhz, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.MahalAkhz, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EnumDropDownListFor(model => model.MahalAkhz, "لطفاً یک مورد را انتخاب کنید", htmlAttributes: new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.MahalAkhz, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.OnvanDaneshgah, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-6">
            @Html.EditorFor(model => model.OnvanDaneshgah, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.OnvanDaneshgah, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Keshvar, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EditorFor(model => model.Keshvar, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Keshvar, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Ostan, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EditorFor(model => model.Ostan, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Ostan, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Shahrestan, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EditorFor(model => model.Shahrestan, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Shahrestan, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Shahr, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EditorFor(model => model.Shahr, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Shahr, "", new { @class = "text-danger" })
        </div>
    </div>

    @*<div class="form-group">
            @Html.LabelFor(model => model.UserID, "UserID", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-3">
                @Html.DropDownList("UserID", null, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.UserID, "", new { @class = "text-danger" })
            </div>
        </div>*@
    <hr />
    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <input type="submit" value="ثبت اطلاعات" class="btn btn-primary" />
            @Html.ActionLink("بازگشت", "Index", "Edu_Rec", new { @class = "btn btn-danger" })
        </div>
    </div>
</div>
}

Manager/Views/Edu_Rec/Delete.cshtml
@model DomainClass.Edu_Rec

@{
    ViewBag.Title = "Delete";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}

<h4>حذف اطلاعات</h4>

<h4>آیا برای حذف اطلاعات اطمینان دارید؟</h4>
<hr />
<div>
    <h4>Edu_Rec</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>شماره ملی
            @*@Html.DisplayNameFor(model => model.User.Lname)*@
        </dt>

        <dd>
            @Html.DisplayFor(model => model.User.UserName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Maghta)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Maghta)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Reshte)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Reshte)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Date_Akhz)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Date_Akhz)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.MahalAkhz)
        </dt>

        <dd>
            @Html.EnumDisplay(Model.MahalAkhz)
            @*@Html.DisplayFor(model => model.MahalAkhz)*@
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.OnvanDaneshgah)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.OnvanDaneshgah)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Keshvar)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Keshvar)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Ostan)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Ostan)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Shahrestan)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Shahrestan)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Shahr)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Shahr)
        </dd>

    </dl>
<hr/>
    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="حذف اطلاعات" class="btn btn-danger" /> |
            @Html.ActionLink("بازگشت", "Index", "Edu_Rec", new { @class = "btn btn-warning" })
        </div>
    }
</div>

Manager/Views/Edu_Rec/Details.cshtml
@model DomainClass.Edu_Rec

@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}
<h4>سوابق تحصیلی ذکر تمامی مقاطع تحصیلی اخذ شده به ترتیب از بالاترین درجه تحصیلی تا سطح دیپلم ضروری است </h4>
<hr />

<div>
    <dl class="dl-horizontal">
        <dt>شماره ملی
            @*@Html.DisplayNameFor(model => model.User.Lname)*@
        </dt>

        <dd>
            @Html.DisplayFor(model => model.User.UserName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Maghta)
        </dt>

        <dd>
            @Html.EnumDisplay(Model.Maghta)
@*            @Html.DisplayFor(model => model.Maghta)*@
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Reshte)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Reshte)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Date_Akhz)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Date_Akhz)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.MahalAkhz)
        </dt>

        <dd>
            @Html.EnumDisplay(Model.MahalAkhz)
            @*@Html.DisplayFor(model => model.MahalAkhz)*@
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.OnvanDaneshgah)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.OnvanDaneshgah)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Keshvar)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Keshvar)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Ostan)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Ostan)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Shahrestan)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Shahrestan)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Shahr)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Shahr)
        </dd>

    </dl>
</div>
<hr/>
<p>
    @Html.ActionLink("ویرایش", "Edit", new { id = Model.ID }, new { @class = "btn btn-primary" }) |
    @Html.ActionLink("بازگشت", "Index", "Edu_Rec", new { @class = "btn btn-danger" })
</p>

Manager/Views/Edu_Rec/Edit.cshtml
@model DomainClass.Edu_Rec

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}

<h4>سوابق تحصیلی ذکر تمامی مقاطع تحصیلی اخذ شده به ترتیب از بالاترین درجه تحصیلی تا سطح دیپلم ضروری است </h4>
<h4>ویرایش اطلاعات</h4>
<hr />
@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

<div class="form-horizontal">
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    @Html.HiddenFor(model => model.ID)

    <div class="form-group">
        @Html.LabelFor(model => model.Maghta, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EnumDropDownListFor(model => model.Maghta, "لطفاً یک مورد را انتخاب کنید", htmlAttributes: new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.Maghta, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Reshte, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-5">
            @Html.EditorFor(model => model.Reshte, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Reshte, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Date_Akhz, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.Date_Akhz, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Date_Akhz, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.MahalAkhz, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EnumDropDownListFor(model => model.MahalAkhz, "لطفاً یک مورد را انتخاب کنید", htmlAttributes: new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.MahalAkhz, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.OnvanDaneshgah, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-6">
            @Html.EditorFor(model => model.OnvanDaneshgah, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.OnvanDaneshgah, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Keshvar, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EditorFor(model => model.Keshvar, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Keshvar, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Ostan, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EditorFor(model => model.Ostan, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Ostan, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Shahrestan, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EditorFor(model => model.Shahrestan, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Shahrestan, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Shahr, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EditorFor(model => model.Shahr, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Shahr, "", new { @class = "text-danger" })
        </div>
    </div>

    @*<div class="form-group">
            @Html.LabelFor(model => model.UserID, "UserID", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("UserID", null, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.UserID, "", new { @class = "text-danger" })
            </div>
        </div>*@
    <hr />
    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <input type="submit" value="ثبت اطلاعات" class="btn btn-primary" />
            @Html.ActionLink("بازگشت", "Index", "Edu_Rec", new { @class = "btn btn-danger" })
        </div>
    </div>
</div>
}

Manager/Views/Edu_Rec/Index.cshtml
@model IEnumerable<DomainClass.Edu_Rec>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}

<h4>سوابق تحصیلی ذکر تمامی مقاطع تحصیلی اخذ شده به ترتیب از بالاترین درجه تحصیلی تا سطح دیپلم ضروری است </h4>

<p>
    @Html.ActionLink("ورود اطلاعات جدید", "Create", "Edu_Rec", new { @class = "btn btn-primary" })
</p>
<table class="table">
    <tr>
        @*<th>شماره ملی
            @Html.DisplayNameFor(model => model.User.Lname)
        </th>*@
        <th>
            @Html.DisplayNameFor(model => model.Maghta)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Reshte)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Date_Akhz)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.OnvanDaneshgah)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        @*<td>@Html.DisplayFor(modelItem => item.User.UserName)
        </td>*@
        <td>
            @Html.EnumDisplay(item.Maghta)

            @*@Html.DisplayFor(modelItem => item.Maghta)*@
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Reshte)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Date_Akhz)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.OnvanDaneshgah)
        </td>
        <td>
            @Html.ActionLink("ویرایش", "Edit", new { id = item.ID }, new { @class = "btn btn-primary btn-xs" }) |
            @Html.ActionLink("جزئیات", "Details", new { id = item.ID }, new { @class = "btn btn-success btn-xs" }) |
            @Html.ActionLink("حذف", "Delete", new { id = item.ID }, new { @class = "btn btn-danger btn-xs" })
        </td>
    </tr>
}

</table>